#!/bin/sh

HB="/usr/local/bin/HandBrakeCLI"

if [ "$1" = "" ]; then
    echo "Usage: $0 <VIDEOFILE | VIDEODIR>"
    exit 1
fi


if [ -f $1 ]; then
    $HB -i $1 -t 0 2>&1 | awk '/^\+/ { while ( /\+/ ) {printf("%s\n",$0); getline}}'
elif [ -d $1 ]; then
    $HB -i $1/00001.ts -t 0 2>&1 | awk '/^\+/ { while ( /\+/ ) {printf("%s\n",$0); getline}}'
else
    echo "Usage: $0 <VIDEOFILE>"
    exit 1
fi

